RT::Client::REST::Group(3pm)

NAME
RT::Client::REST::Group - group object representation.

VERSION
version 0.73

SYNOPSIS
  my $rt = RT::Client::REST->new(server => $ENV{RTSERVER});

  my $group = RT::Client::REST::Group->new(
    rt  => $rt,
    id  => $id,
  )->retrieve;

DESCRIPTION
RT::Client::REST::Group is based on RT::Client::REST::Object. The representation allows one to retrieve, edit, and create groups in RT.

Note: RT currently does not allow REST client to search groups.

ATTRIBUTES

id  For retrieval, you can specify either the numeric ID of the group or his group name. After the retrieval, however, this attribute will be set to the numeric id.

name
    Name of the group

description
    Description

members
    List of the members of this group.

DB METHODS
For full explanation of these, please see "DB METHODS" in RT::Client::REST::Object documentation.

retrieve
    Retrieve RT group from database.

store
    Create or update the group.

search
    Currently RT does not allow REST clients to search groups.

INTERNAL METHODS

rt_type
    Returns 'group'.

SEE ALSO
RT::Client::REST, RT::Client::REST::Object, RT::Client::REST::SearchResult.

AUTHOR
Dean Hamstead <dean@fragfest.com.au>

COPYRIGHT AND LICENSE
This software is copyright (c) 2026, 2020 by Dmitri Tikhonov.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.